View Issue Details

IDProjectCategoryView StatusLast Update
0034327LazarusLCLpublic2018-09-26 08:23
ReporterMario BonatiAssigned Towp 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS VersionWindows 10
Product VersionProduct BuildLazarus 2.1.0 r59063 FPC 3.0.4 
Target VersionFixed in Version 
Summary0034327: TCheckGroup: bug on delete item
DescriptionSee the attached project:
- when program start, item 0 (value 0) is checked, item 1 (value 1) is not checked
- when click on button, item 0 is deleted and new item 0 (value 1) is checked, and so on
TagsNo tags attached.
Fixed in Revisionr59167
LazTarget-
Widgetset
Attached Files

Activities

Mario Bonati

2018-09-24 12:16

reporter  

TCheckGroup.zip (65,424 bytes)

wp

2018-09-25 18:29

developer   ~0111009

Fixed, will be backported to v2.0RC2. Please test and close if ok.

Mario Bonati

2018-09-26 08:23

reporter   ~0111021

Now it works perfectly.

Thanks, Mario

Issue History

Date Modified Username Field Change
2018-09-24 12:16 Mario Bonati New Issue
2018-09-24 12:16 Mario Bonati File Added: TCheckGroup.zip
2018-09-25 18:19 wp Assigned To => wp
2018-09-25 18:19 wp Status new => assigned
2018-09-25 18:29 wp Fixed in Revision => r59167
2018-09-25 18:29 wp LazTarget => -
2018-09-25 18:29 wp Note Added: 0111009
2018-09-25 18:29 wp Status assigned => resolved
2018-09-25 18:29 wp Resolution open => fixed
2018-09-26 08:23 Mario Bonati Note Added: 0111021
2018-09-26 08:23 Mario Bonati Status resolved => closed